"use strict";
const common_vendor = require("../../../common/vendor.js");
if (!Array) {
  const _easycom_hs_radio2 = common_vendor.resolveComponent("hs-radio");
  const _easycom_hs_cell2 = common_vendor.resolveComponent("hs-cell");
  const _easycom_hs_input2 = common_vendor.resolveComponent("hs-input");
  const _easycom_hs_footer2 = common_vendor.resolveComponent("hs-footer");
  (_easycom_hs_radio2 + _easycom_hs_cell2 + _easycom_hs_input2 + _easycom_hs_footer2)();
}
const _easycom_hs_radio = () => "../../../components/hs-radio/hs-radio.js";
const _easycom_hs_cell = () => "../../../components/hs-cell/hs-cell.js";
const _easycom_hs_input = () => "../../../components/hs-input/hs-input.js";
const _easycom_hs_footer = () => "../../../components/hs-footer/hs-footer.js";
if (!Math) {
  (_easycom_hs_radio + _easycom_hs_cell + _easycom_hs_input + _easycom_hs_footer)();
}
const _sfc_main = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "index",
  setup(__props) {
    const formData = common_vendor.ref({ type: 1 });
    const InvoiceTypeEnum = {
      1: { text: "企业", value: 1 },
      2: { text: "个人", value: 2 }
    };
    const handleAdd = () => {
      common_vendor.index.showModal({
        title: "提示",
        content: "当前项目暂未开放！",
        success: function(res) {
          if (res.confirm) {
            console.log("用户点击确定");
          } else if (res.cancel) {
            console.log("用户点击取消");
          }
        }
      });
    };
    return (_ctx, _cache) => {
      var _a, _b, _c, _d;
      return common_vendor.e({
        a: common_vendor.o(($event) => formData.value.type = $event),
        b: common_vendor.p({
          Enums: InvoiceTypeEnum,
          required: true,
          valueModel: formData.value.type
        }),
        c: common_vendor.p({
          title: "抬头类型",
          required: true
        }),
        d: ((_a = formData.value) == null ? void 0 : _a.type) === 1
      }, ((_b = formData.value) == null ? void 0 : _b.type) === 1 ? {
        e: common_vendor.o(($event) => formData.value.name = $event),
        f: common_vendor.p({
          textAlign: "right",
          valueModel: formData.value.name
        }),
        g: common_vendor.p({
          title: "企业名称",
          required: true,
          borderTop: true
        }),
        h: common_vendor.o(($event) => formData.value.no = $event),
        i: common_vendor.p({
          textAlign: "right",
          valueModel: formData.value.no
        }),
        j: common_vendor.p({
          title: "纳税人识别号",
          required: true,
          borderTop: true
        })
      } : {}, {
        k: ((_c = formData.value) == null ? void 0 : _c.type) === 2
      }, ((_d = formData.value) == null ? void 0 : _d.type) === 2 ? {
        l: common_vendor.o(($event) => formData.value.name = $event),
        m: common_vendor.p({
          textAlign: "right",
          valueModel: formData.value.name
        }),
        n: common_vendor.p({
          title: "发票抬头",
          required: true,
          borderTop: true
        })
      } : {}, {
        o: common_vendor.o(($event) => formData.value.phone = $event),
        p: common_vendor.p({
          placeholder: "非常重要！接收开票进度信息",
          textAlign: "right",
          valueModel: formData.value.phone
        }),
        q: common_vendor.p({
          title: "手机号",
          required: true,
          borderTop: true
        }),
        r: common_vendor.o(($event) => formData.value.email = $event),
        s: common_vendor.p({
          placeholder: "接收电子发票的邮箱",
          textAlign: "right",
          valueModel: formData.value.email
        }),
        t: common_vendor.p({
          title: "电子邮箱",
          required: true,
          borderTop: true
        }),
        v: common_vendor.o(($event) => formData.value.des = $event),
        w: common_vendor.p({
          textAlign: "right",
          valueModel: formData.value.des
        }),
        x: common_vendor.p({
          title: "备注说明",
          borderTop: true
        }),
        y: common_vendor.p({
          title: "设为默认"
        }),
        z: common_vendor.o(($event) => handleAdd()),
        A: common_vendor.p({
          btnParimaryName: "确定"
        })
      });
    };
  }
});
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__file", "/Users/zsq/Sources/github/2025property-pay/pay-customer/src/ME/me_invoice/add/index.vue"]]);
wx.createPage(MiniProgramPage);
